import { VariableText, VariableGauge, VariableButtons, VariableCard, TapInfoPage, Page, AboutPage, ProtocolConfigurationPage } from "../../schema/appconfig";
import { BaseVariableConfig } from "@iotize/device-admin.js";
import { DotAccessor } from "@iotize/device-admin.js/configuration/dot-accessor";
export declare function convertIoTizeStudioPageConfig<T extends Page>(pageInfo: any): T;
export declare class IoTizeStudioConfigAdapter {
    static createProtocolConfigurationPage(accessor: DotAccessor): Partial<ProtocolConfigurationPage>;
    static createAboutPage(accessor: DotAccessor): Partial<AboutPage>;
    static createTapInfoPage(accessor: DotAccessor): Partial<TapInfoPage>;
    static renderOptionsToComponent(variable: BaseVariableConfig, renderOptions: any, isVariableEditable: boolean): undefined | VariableText | VariableGauge | VariableButtons | VariableCard;
}
